<?php
require_once ("lib-action/action.php");

class AddEmailTemplateResponse extends MB_Action
{
	public function __construct()
    {
		parent::__construct();
		$this->params = array(
			"emailTplID",
			"emailTplPrimary",
			"emailTplGroupID",
			"languageID",
			"countryType",
			"countriesID",
			"regionsID",
			"emailTplSubject",
			"emailTplBody",
			"emailTplTextBody");
	}

	public function execute()
    {
		parent::execute();

		$emailTplGroupID = ((int) $_REQUEST["emailTplGroupID"]);

		$query = $this->getMBAPIQuery("SetEmailTemplates", "insert");
		$data = dispatchMBAPI($query, 1);
		if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
			redirect("emails.php",getActionID("EditEmailTemplateGroup"),array("emailTplGroupID" => $emailTplGroupID));
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}