<?php

require_once ("lib-action/action.php");

class EditEmailConfig extends MB_Action
{
	public function execute()
    {
		global $CONF;
		parent::execute();
        $configGroupID = (int) $_REQUEST["configGroupID"];
		if(!$configGroupID) {
			$this->addError(TRANS_ACTIONERROR, "No ID given for EditEmailConfig.");
		} else {
			if ((int)$_REQUEST["saved"] == 1) {
				$this->smartyVars["displaySaved"] = 1;
			}

			$this->smartyVars["configGroupID"] = $configGroupID;
			$this->smartyVars["methodsAvailable"] = array(
				"php" => "PHP Internal",
				"sendmail" => "Sendmail",
				"smtp" => "SMTP",
				"none" => TRANS_NONE);
			loadConfigs("email");

			$this->mergeFormState( $CONF["email"]["emailSettings"] );
			$this->mergeSystemNavData();

			$this->addTemplate("modules/EditEmailConfig");
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();

	}
}
