<?php
require_once ("lib-action/action.php");

class RemoveTLDResponse extends MB_Action
{

	public function __construct()
    {
		parent::MB_Action();
		$this->params = array("tldID");
	}

	public function execute()
    {
		parent::execute();

		$tldID = getParam('tldID');
		if(!$tldID) {
			$this->addError(TRANS_ACTIONERROR, "No TLD ID given.");
			$this->addErrorTemplates();
			return $this->hasExecutedSuccessfully();
		}

		require_once("object_managers/TLDManager.php");
		TLDManager::delete(Factory()->TLD($tldID));

		redirect("products.php", "ShowTLDs", array("removedTLD" => 1));
	}
}
