<?php

require_once ("lib-action/action.php");

class EditReseller extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$controller = UIFactory()->PageController(action_url("resellers", "ShowResellers"));

		require_once("UI/Page/UIUpdateResellerPage.php");
		if ($resellerId = bgpc("resellerID")) {
			$reseller = Factory()->Reseller($resellerId);
			$title = blmsg("TRANS_RESELLER_EDIT_PROFILE", array('NAME' => $reseller->fullName));
		} else {
			$title = blmsg("TRANS_RESELLER_CREATE");
		}
		$controller->addPage(new UIUpdateResellerPage($controller, $resellerId, $title));
		$controller->processRequest();

		$this->smartyVars["page"] = $controller->getPage();
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
