<?php
require_once mb_path("/lib-action/action.php");

class RemoveTaxZoneGroupResponse extends MB_Action
{
	function execute()
	{
		parent::execute();

		$taxZoneGroupID = ((int) $_REQUEST["taxZoneGroupID"]);
		if(!$taxZoneGroupID) {
			throw new ProductException(ProductException::E_FAIL_OPERATION, "No Tax Zone Group ID given.");
		}
		$taxZoneGroup = Factory()->TaxZoneGroup($taxZoneGroupID);
		$taxZoneName = $taxZoneGroup->tax_zone_group_name;

		require_once("object_managers/TaxZoneGroupManager.php");
		TaxZoneGroupManager::delete(Factory()->TaxZoneGroup($taxZoneGroupID));


		billing_put_info(blmsg("TRANS_DELETE_TAX_ZONE_GROUP_SUCCESS_MSG", array("NAME" => $taxZoneName)));
		
		redirect("taxes.php",getActionID("ShowTaxZoneGroups"));
	}
}