{* $Id: primaryContact.tpl 11963 2007-09-25 15:33:57Z bwoolley $
 * --------------------------------------------------------------
 * Author: Michael Fountain
 *}

<div class="box07" style="background-color:#EEEDE9">
	<div class="st01">
		<h1 style="margin-bottom: 0px;">
        {if $clientIsReseller}
            {"TRANS_RESELLER_DETAILS"|lmsg}
        {else}
            {"TRANS_PRIMARY_CONTACT"|lmsg}
        {/if}
    	</h1>
    </div>

	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tabTight">
	<tr>
		<td width="40%" class="title">{"TRANS_FIRST_NAME"|lmsg}</td>
		<td>{$primaryContact.contactFirstName|safetyhtml}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_LAST_NAME"|lmsg}</td>
		<td>{$primaryContact.contactLastName|safetyhtml}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_EMAIL_ADDRESS_OPTION"|lmsg}</td>
		<td>
			{strip}
			<a href="{getHREF page="clients.php" actionName="SendClientEmail" args="clientID=$clientID"}" title="{$primaryContact.contactEmail|safetyhtml}">
				{$primaryContact.contactEmail|safetyhtml|mb_truncate:25}
			</a>
			{/strip}
		</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_USERNAME"|lmsg}</td>
		<td>{$primaryContact.contactUsername|safetyhtml}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_COMPANY"|lmsg}</td>
		<td>{$primaryContact.contactCompany|safetyhtml}</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_ADDRESS_1}:</td>
		<td>{$primaryContact.contactAddress1|safetyhtml}</td>
	</tr>
	<tr>
		<td class="title">{$smarty.const.TRANS_ADDRESS_2}:</td>
		<td>{$primaryContact.contactAddress2|safetyhtml}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_CITY"|lmsg}</td>
		<td>{$primaryContact.contactCity|safetyhtml}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_STATE_OR_REGION"|lmsg}</td>
		<td>{$primaryContact.contactState|safetyhtml}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_ZIP_OR_POSTALCODE"|lmsg}</td>
		<td>{$primaryContact.contactZip|safetyhtml}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_COUNTY"|lmsg}</td>
		<td>{$primaryContact.contactCounty|safetyhtml}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_LANGUAGE"|lmsg}</td>
		<td>{$primaryContact.languageISO2|safetyhtml} - {$primaryContact.languageName|safetyhtml}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_COUNTRY"|lmsg}</td>
		<td>
			<img src="{$imageDirectory}/flags/flag-{$primaryContact.countriesISO2|safetyhtml}.gif" style="vertical-align:middle;border-style:none;" /> {$primaryContactCountry|safetyhtml}
		</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_PRIMARY_PHONE"|lmsg}</td>
		<td>{$primaryContact.contactPhone1|safetyhtml}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_SECONDARY_PHONE"|lmsg}</td>
		<td>{$primaryContact.contactPhone2|safetyhtml}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_FAX"|lmsg}</td>
		<td>{$primaryContact.contactFax|safetyhtml}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_MOBILE_PHONE"|lmsg}</td>
		<td>{$primaryContact.contactMobilePhone|safetyhtml}</td>
	</tr>
    {if $clientIsReseller}
        <tr>
            <td class="title">{"TRANS_IS_ARCHIVED"|lmsg}</td>
            <td><i>{$client.clientActive|getStatusName:"archived"}</i></td>
        </tr>
        <tr>
            <td class="title">{"TRANS_CURRENT_STATUS_OPTION"|lmsg}</td>
            <td>{$client.clientStatus|getStatusName:"client"}</td>
        </tr>
        <tr>
            <td class="title">{"TRANS_SKIN"|lmsg}</td>
            {assign var="clientSkin" value=$skinID}
            <td>{$skinList.$skinID}</td>
        </tr>
        <tr>
            <td class="title">{"TRANS_TAX"|lmsg}</td>
            <td>{if $client.applyTax}{"TRANS_APPLIED"|lmsg}{else}{"TRANS_NOT_APPLIED"|lmsg}{/if}</td>
        </tr>
        {if $client.taxIDNumber}
        <tr>
            <td class="title">{"TRANS_TAX_ID_NUMBER"|lmsg}</td>
            <td>{$client.taxIDNumber|safetyhtml}</td>
        </tr>
        {/if}
        <tr>
            <td class="title">{"TRANS_DEFAULT_BILLING_METHOD"|lmsg}</td>
            <td>{if $defaultBillingAccount.billingAccountID}
                    [ <a href="{getHREF page="clients.php" actionName="EditBillingAccount" args="billingAccountID=`$defaultBillingAccount.billingAccountID`&clientID=`$client.clientID`&clientContactID=`$defaultBillingAccount.clientContactID`"}">{"TRANS_EDIT_CLICKABLE_OPTION"|lmsg}</a> ]
                {else}
                    {"TRANS_NONE"|lmsg}
                {/if}
            </td>
        </tr>
        <tr>
            <td class="title">{"TRANS_DATE_CREATED"|lmsg}</td>
            <td>{$client.clientDateCreated|getDateTime:"full"}</td>
        </tr>
        {if $client.clientDateCancelled}
            <tr>
                <td class="title">{"TRANS_DATE_CANCELED"|lmsg}</td>
                <td>{$client.clientDateCancelled|getDateTime:"full"}</td>
            </tr>
        {/if}
        {if $client.clientSignupIP}
            <tr>
                <td class="title">{"TRANS_SIGNUP_IP"|lmsg}</td>
                <td>{$client.clientSignupIP|getIP}</td>
            </tr>
        {/if}
        {if $client.clientLastIP}
            <tr>
                <td class="title">{"TRANS_LAST_IP"|lmsg}</td>
                <td>{$client.clientLastIP|getIP}</td>
            </tr>
        {/if}
    {/if}
	</table>

	<table border="0" cellspacing="0" cellpadding="0" class="tabTight">
	<tr>
		<td>
            {if ($client.clientStatus == 0) && ($client.clientActive == 1) && ($client.contacts.contact.contactActive == 1)}
				{if $clientIsReseller}
					{assign var='editLinkText' value='TRANS_RESELLER_EDIT_PROFILE'}
					{include file="$tplDirectory/widgets/actionLink.tpl"
						page="resellers.php"
						actionName="ForwardToResellerInterface"
						args="resellerID=`$resellerId`"
						icoImage="id_card.gif"
						icoWidth=""
						icoHeight=""
						icoStyle=""
						altText="TRANS_RESELLER_LOGIN"
						titleText=""
						linkText="TRANS_RESELLER_LOGIN"
						target="_blank"}
				{else}
					{assign var='editLinkText' value='TRANS_EDIT_PRIMARY_CONTACT'}
					{include file="$tplDirectory/widgets/actionLink.tpl"
						page="clients.php"
						actionName="ForwardToClientInterface"
						args="clientID=`$client.clientID`&clientContactID=`$primaryContact.clientContactID`"
						icoImage="id_card.gif"
						icoWidth=""
						icoHeight=""
						icoStyle=""
						altText="TRANS_LOGIN_AS_PRIMARY_CONTACT"
						titleText=""
						linkText="TRANS_LOGIN_AS_PRIMARY_CONTACT"
						target="_blank"}
				{/if}
				<br />
				{include file="$tplDirectory/widgets/actionLink.tpl"
					page="clients.php"
					actionName="ResetContactPassword"
					args="clientContactID=`$primaryContact.clientContactID`"
					icoImage="id_card_new.gif"
					altText="TRANS_RESET_RESEND_PASSWORD"
					linkText="TRANS_RESET_RESEND_PASSWORD"}
				<br />
			{/if}
            {if $clientIsReseller}
                {assign var='editLinkText' value='TRANS_RESELLER_EDIT_DETAILS'}
                <span class="actionlink"><a id="editClientLink" href="{getAdminActionUrl module="resellers" controller="reseller-profile"}&id={$resellerId}" ><img src="{$imageDirectory}/ico/contact_edit.gif" width="16" height="16" style="vertical-align:middle;border-style:none; margin-right: 4px;" alt="{$editLinkText|lmsg}" title="{$editLinkText|lmsg}"></a>&nbsp;<a href="{getAdminActionUrl module="resellers" controller="reseller-profile"}&id={$resellerId}">{$editLinkText|lmsg}</a></span>
            {else}
            	{assign var='editLinkText' value='TRANS_EDIT_PRIMARY_CONTACT'}
                {assign var=p value=$primaryContact.clientContactID}
                {include file="$tplDirectory/widgets/actionLink.tpl"
                    page="clients.php"
                    actionName="EditClientContact"
                    args="clientContactID=$p"
                    icoImage="contact_edit.gif"
                    icoWidth=""
                    icoHeight=""
                    icoStyle=""
                    id="editClientLink"
                    altText=$editLinkText
                    titleText=""
                    linkText=$editLinkText}
                <br />
            {/if}

            {if !$clientIsReseller}
                {assign var=p value=$client.clientID}
                {include file="$tplDirectory/widgets/actionLink.tpl"
                    page="clients.php"
                    actionName="AddClientContact"
                    args="clientID=$p"
                    icoImage="contact_add.gif"
                    icoWidth=""
                    icoHeight=""
                    icoStyle=""
                    altText="TRANS_ADD_NEW_CONTACT"
                    titleText=""
                    linkText="TRANS_ADD_NEW_CONTACT"}

                <br />

                {include file="$tplDirectory/widgets/actionLink.tpl"
                    page="clients.php"
                    actionName="ShowClientContacts"
                    args="clientID=$p"
                    icoImage="contacts.gif"
                    icoWidth=""
                    icoHeight=""
                    icoStyle=""
                    altText="TRANS_SHOW_ALL_CONTACTS"
                    titleText=""
                    linkText="TRANS_SHOW_ALL_CONTACTS"}

                <br />
            {/if}
		</td>
	</tr>
	</table>



</div>{* box07 *}
