<?php
require_once ("lib-action/action.php");

class RemoveTLD extends MB_Action
{

	public function __construct()
    {
		parent::MB_Action();
		$this->params = array("tldID");
	}

	public function execute()
    {
		parent::execute();

		$tldID = getParam('tldID');
		if(!$tldID) {
			$this->addError(TRANS_ACTIONERROR, "No TLD ID given.");
		} else {

			$query = $this->getMBAPIQuery("GetTLDs", "", array("getOrderFormData" => 1, "getCycleData" => 1));
			$data = dispatchMBAPI($query, 1);
			
			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				$results =& grabSimpleMBAPIResults($data);
				$this->smartyVars["TLD"] = $results[0];

				$this->addTemplate("products/RemoveTLD");
			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}
