<?php

namespace Module\Ssl\Opensrs\Response;

class Error
{
	public function __construct($node)
	{
		$this->_node = $node;
	}
	
	public function __get($name)
	{
		switch ($name) {
			case 'code':
				return (int)reset($this->_node->xpath('//item[@key="error_code"]'));
			case 'message':
				return (string)reset($this->_node->xpath('//item[@key="error_detail"]'));
			default:
				throw new Module\Ssl\Opensrs\Exception('Property "' . $name . '" is not supported.');
		}
	}
	
	private $_node;
}